Login via social provider
Retrieves an Access Token for authentication through a native social provider.
Retrieves an Access Token for authentication through a native social provider.
Tenant API Key for authentication
In: query
In: query
Path Parameters
Indicates the provider for the native application. This parameter is used to specify the authentication provider for the native app.
"applejwt" | "applert" | "facebookjwt" | "apple" | "jwt" | "facebook" | "foursquare" | "google" | "googlejwt" | "linkedin" | "twitter" | "wechat" | "qq"Query Parameters
Indicates the name of the social application. This parameter is used to specify the social app for which the Access Token is being requested.
The URI to redirect to after authentication. This parameter is used to specify the redirect URI for the native application.
uriRefresh Token
The name of the provider. This parameter is used to specify the provider for authentication.
The authorization code received from the apple, wechat, qq provider. The parameter is used to exchange the authorization code for an Access Token.
uuidThe Access Token used for Twitter authentication. The parameter is used to authenticate the User with Twitter.
uuidThe secret token used for Twitter authentication. The parameter is used to authenticate the User with Twitter.
uuidThe authorization code received from Google. This parameter is used to exchange the authorization code for an Access Token.
uuidOIDC application Client ID for request authentication.
The Access Token received from Google. The parameter is used to authenticate the User with Google services.
uuidThe ID token used for googlejwt, facebookjwt, applejwt authentication. The parameter is used to verify the User's identity.
uuidThe Access Token used for Foursquare authentication. The parameter is used to authenticate the User with Foursquare.
uuidThe Access Token used for LinkedIn authentication. The parameter is used to authenticate the User with LinkedIn.
uuidThe Access Token used for Facebook authentication. The parameter is used to authenticate the User with Facebook.
uuidInvitation token of an organization
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://api.loginradius.com/api/v2/access_token/google?socialappname=facebook_1&redirect_uri=https%3A%2F%2Fexample.com%2Fcallback&refresh_token=eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiIxMjM0NTY3ODkwIiwibmFtZSI6IkpvaG4gRG9lIiwiaWF0IjoxNTE2MjM5MDIyfQ.SflKxwRJSMeKKF2QT4fwpMeJf36POk6yJV_adQssw5c&providername=google&code=683987c4-9249-4165-b1f1-925f0b84021e&tw_access_token=123e4567-e89b-12d3-a456-426614174000&tw_token_secret=123e4567-e89b-12d3-a456-426614174000&google_authcode=123e4567-e89b-12d3-a456-426614174000&client_id=1234567890abcdef1234567890abcdef1234567890abcdef1234567890abcdef&google_access_token=123e4567-e89b-12d3-a456-426614174000&id_token=123e4567-e89b-12d3-a456-426614174000&fs_access_token=123e4567-e89b-12d3-a456-426614174000&ln_access_token=123e4567-e89b-12d3-a456-426614174000&fb_access_token=123e4567-e89b-12d3-a456-426614174000&invitation_token=f7e7e0c9-cd54-426f-97a7-5ebd846ddcc5"{
"access_token": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiIxMjM0NTY3ODkwIiwibmFtZSI6IkpvaG4gRG9lIiwiaWF0IjoxNTE2MjM5MDIyfQ.SflKxwRJSMeKKF2QT4fwpMeJf36POk6yJV_adQssw5c",
"refresh_token": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiIxMjM0NTY3ODkwIiwibmFtZSI6IkpvaG4gRG9lIiwiaWF0IjoxNTE2MjM5MDIyfQ.SflKxwRJSMeKKF2QT4fwpMeJf36POk6yJV_adQssw5c",
"expires_in": "3600"
}{
"errorCode": 908,
"message": "A parameter is not formatted correctly",
"description": "A parameter is not formatted correctly in the request, please check all the parameters in the API call."
}{
"errorCode": 902,
"message": "The API secret is unauthorized",
"description": "The provided LoginRadius API secret is invalid or is not authorized, please use a valid or authorized LoginRadius API secret or check the API secret for your LoginRadius account."
}{
"errorCode": 901,
"message": "The API key is unauthorized",
"description": "The provided LoginRadius API key is invalid or is not authorized, please use a valid or authorized LoginRadius API key or check the API key for your LoginRadius account."
}{
"Message": "Operation failed due to an internal error.",
"Description": "An unknown internal error occurred, please try again in a few minutes or contact your system administrator.",
"ErrorCode": 7909
}